Debian Bug report logs - #599020
Disable hal support

version graph

Package: libgnomevfs2-0; Maintainer for libgnomevfs2-0 is Josselin Mouette <joss@debian.org>; Source for libgnomevfs2-0 is src:gnome-vfs.

Reported by: Michael Biebl <biebl@debian.org>

Date: Sun, 3 Oct 2010 20:27:02 UTC

Severity: normal

Found in version gnome-vfs/1:2.24.3-1

Fixed in version gnome-vfs/1:2.24.3-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#599020; Package libgnomevfs2-0. (Sun, 03 Oct 2010 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 03 Oct 2010 20:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Disable hal support
Date: Sun, 03 Oct 2010 22:23:25 +0200
Package: libgnomevfs2-0
Version: 1:2.24.3-1
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: halectomy

gnome-vfs has a configure switch which allows to disable hal support.
libgnomevfs is (one of) the last package(s) in a default Debian GNOME
installation which still depends on libhal.

As soon as development of wheezy opens, we should drop hal support so we
can identify affected, legacy apps.
(Joss suggested to grep for gnome_vfs_volume_monitor in ELF binaries).


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgnomevfs2-0 depends on:
ii  dbus                    1.4.0-1          simple interprocess messaging syst
ii  libacl1                 2.2.49-4         Access control list shared library
ii  libavahi-client3        0.6.27-2         Avahi client library
ii  libavahi-common3        0.6.27-2         Avahi common library
ii  libavahi-glib1          0.6.27-2         Avahi glib integration library
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libdbus-1-3             1.4.0-1          simple interprocess messaging syst
ii  libdbus-glib-1-2        0.88-2           simple interprocess messaging syst
ii  libgamin0 [libfam0]     0.1.10-2+b1      Client library for the gamin file 
ii  libgconf2-4             2.28.1-4         GNOME configuration database syste
ii  libglib2.0-0            2.26.0-1         The GLib library of C routines
ii  libgnomevfs2-common     1:2.24.3-1       GNOME Virtual File System (common 
ii  libgnutls26             2.8.6-1          the GNU TLS library - runtime libr
ii  libselinux1             2.0.96-1         SELinux runtime shared libraries
ii  libxml2                 2.7.7.dfsg-4     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages libgnomevfs2-0 recommends:
ii  dbus-x11                      1.4.0-1    simple interprocess messaging syst
ii  libgnomevfs2-extra            1:2.24.3-2 GNOME Virtual File System (extra m

Versions of packages libgnomevfs2-0 suggests:
pn  fam                           <none>     (no description available)
pn  libgnomevfs2-bin              <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#599020; Package libgnomevfs2-0. (Sat, 09 Oct 2010 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 599020@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 09 Oct 2010 12:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 599020@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Biebl <biebl@debian.org>, 599020@bugs.debian.org
Subject: Re: Bug#599020: Disable hal support
Date: Sat, 09 Oct 2010 14:50:55 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 03 octobre 2010 à 22:23 +0200, Michael Biebl a écrit : 
> As soon as development of wheezy opens, we should drop hal support so we
> can identify affected, legacy apps.
> (Joss suggested to grep for gnome_vfs_volume_monitor in ELF binaries).

Here is the list:

gnome-commander
python-gnome2
- Rdeps affected (there might be false positives):
   + awn-applets-python-core
   + hotwire
   + revelation
   + screenlets
libgnome-vfs2.0-cil
- Rdeps affected:
   + docky
   + f-spot
   + gnome-do-plugins
libgnome-vfsmm-2.6-1c2a
- No rdeps affected
gtkpod
guile-gnome2-vfs
- No rdeps, should go away
libghc6-gnomevfs-dev
- Nothing depends on it
libdesktop-agnostic-vfs-gnome
- Should go away, there’s a gio alternative
libgnome2-vfs-perl
- No rdeps affected
modest
synce-gnomevfs

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Mon, 07 Feb 2011 23:36:13 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Mon, 07 Feb 2011 23:36:13 GMT) Full text and rfc822 format available.

Message #15 received at 599020-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 599020-close@bugs.debian.org
Subject: Bug#599020: fixed in gnome-vfs 1:2.24.3-2
Date: Mon, 07 Feb 2011 23:33:37 +0000
Source: gnome-vfs
Source-Version: 1:2.24.3-2

We believe that the bug you reported is fixed in the latest version of
gnome-vfs, which is due to be installed in the Debian FTP archive:

gnome-vfs_2.24.3-2.diff.gz
  to main/g/gnome-vfs/gnome-vfs_2.24.3-2.diff.gz
gnome-vfs_2.24.3-2.dsc
  to main/g/gnome-vfs/gnome-vfs_2.24.3-2.dsc
libgnomevfs2-0-dbg_2.24.3-2_i386.deb
  to main/g/gnome-vfs/libgnomevfs2-0-dbg_2.24.3-2_i386.deb
libgnomevfs2-0_2.24.3-2_i386.deb
  to main/g/gnome-vfs/libgnomevfs2-0_2.24.3-2_i386.deb
libgnomevfs2-bin_2.24.3-2_i386.deb
  to main/g/gnome-vfs/libgnomevfs2-bin_2.24.3-2_i386.deb
libgnomevfs2-common_2.24.3-2_all.deb
  to main/g/gnome-vfs/libgnomevfs2-common_2.24.3-2_all.deb
libgnomevfs2-dev_2.24.3-2_i386.deb
  to main/g/gnome-vfs/libgnomevfs2-dev_2.24.3-2_i386.deb
libgnomevfs2-extra_2.24.3-2_i386.deb
  to main/g/gnome-vfs/libgnomevfs2-extra_2.24.3-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599020@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated gnome-vfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 07 Feb 2011 23:44:16 +0100
Source: gnome-vfs
Binary: libgnomevfs2-common libgnomevfs2-0 libgnomevfs2-bin libgnomevfs2-extra libgnomevfs2-0-dbg libgnomevfs2-dev
Architecture: source all i386
Version: 1:2.24.3-2
Distribution: unstable
Urgency: low
Maintainer: Josselin Mouette <joss@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 libgnomevfs2-0 - GNOME Virtual File System (runtime libraries)
 libgnomevfs2-0-dbg - GNOME Virtual File System (debugging libraries)
 libgnomevfs2-bin - GNOME Virtual File System (support binaries)
 libgnomevfs2-common - GNOME Virtual File System (common files)
 libgnomevfs2-dev - GNOME Virtual File System library (development files)
 libgnomevfs2-extra - GNOME Virtual File System (extra modules)
Closes: 587877 599020
Changes: 
 gnome-vfs (1:2.24.3-2) unstable; urgency=low
 .
   [ Emilio Pozuelo Monfort ]
   * debian/control: Move the library to section oldlibs.
 .
   [ Josselin Mouette ]
   * Smbclient, HAL and Avahi are available on all architectures, require
     them unconditionally.
   * Drop type-handling usage. Closes: #587877.
   * Bump standards version accordingly.
 .
   [ Michael Biebl ]
   * Disable HAL support. Closes: #599020
     This will make gnome-vfs fall back to good old /etc/mtab, which is good
     enough for legacy applications which still actually use the deprecated
     gnome-vfs.
   * Make samba and avahi configure flags not arch specific.
Checksums-Sha1: 
 335191d93b2a1009bb98e28782c4f84304650ab7 2620 gnome-vfs_2.24.3-2.dsc
 4ead9fd02f766fc37e01ec0603b8ffb9c5153cda 387153 gnome-vfs_2.24.3-2.diff.gz
 2c9efe754d8a6ab545cab1df5151a932708412b6 1303482 libgnomevfs2-common_2.24.3-2_all.deb
 8a82655a1e1916fd979a31193af008967a6a9b63 552398 libgnomevfs2-0_2.24.3-2_i386.deb
 50fba34716b3cc5dd16da8dc7ba5134701d88b31 321130 libgnomevfs2-bin_2.24.3-2_i386.deb
 ece68cf1edacfe25c59f4f624d8bb1443ff344b5 385960 libgnomevfs2-extra_2.24.3-2_i386.deb
 4ece7d405396bc669422b07615606f9cc85525e0 1138388 libgnomevfs2-0-dbg_2.24.3-2_i386.deb
 929012268b3771668033a4979871a6c442e708ac 541662 libgnomevfs2-dev_2.24.3-2_i386.deb
Checksums-Sha256: 
 bb77b84dd32682e110d69b0bf5ba73ae71e9b73d35a17dc653ba9c7981e4fb34 2620 gnome-vfs_2.24.3-2.dsc
 40bb23cf678770b8a0110b3c17c15127a59192e209a0ec7e0386141c6ce3734f 387153 gnome-vfs_2.24.3-2.diff.gz
 aad08c68ccdae08a8a94e32ddd45dff22589a6e424d764aae63af9d46fa4396e 1303482 libgnomevfs2-common_2.24.3-2_all.deb
 43b2b5780ff18c617cacf5997fb01264205ea3a7ee2f5ca37a90af5727426b95 552398 libgnomevfs2-0_2.24.3-2_i386.deb
 d8413fe0dffe2514b68f152d3abbfcf263e5433e67df2a39339093979e2b3d32 321130 libgnomevfs2-bin_2.24.3-2_i386.deb
 54361d23fe31d8c1708033bd3629e2e1610781c2e9bc2fee4cf574c0230be39f 385960 libgnomevfs2-extra_2.24.3-2_i386.deb
 e3ecb5d9650e07eceaa588e15930681d9d8ac27a8c057c57547f87066ceb297e 1138388 libgnomevfs2-0-dbg_2.24.3-2_i386.deb
 1caf194087d9dca80dd67d80efb3a06d4cd2c2e6ce807a00816f7bdc0ba81c57 541662 libgnomevfs2-dev_2.24.3-2_i386.deb
Files: 
 6d74a60ec1a111588841fb19065594ef 2620 oldlibs optional gnome-vfs_2.24.3-2.dsc
 c4e6747b3d1a4dcd59b60170c0016221 387153 oldlibs optional gnome-vfs_2.24.3-2.diff.gz
 4a331e973edff226f65e41e378f461de 1303482 oldlibs optional libgnomevfs2-common_2.24.3-2_all.deb
 b94a3fddac9ff2c72448e9b2eb76e9e0 552398 oldlibs optional libgnomevfs2-0_2.24.3-2_i386.deb
 ff201564c3b82e76e5693d640041c937 321130 oldlibs optional libgnomevfs2-bin_2.24.3-2_i386.deb
 e4063650d85873ecf4a227345aa4b44a 385960 oldlibs optional libgnomevfs2-extra_2.24.3-2_i386.deb
 9a71256afa443973eea19db4bae02985 1138388 debug extra libgnomevfs2-0-dbg_2.24.3-2_i386.deb
 160c1312e0e88973a35d2b47bef1b148 541662 libdevel optional libgnomevfs2-dev_2.24.3-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNUHg4AAoJEGrh3w1gjyLcMsgQAJT8VbCsoTGlRhIaKU4i80zt
NjBmmrWx9ZBZ141OQp49DEp/3rHhN3kUTkP+ZQU14UV+gfW33/Z85X2rSiLW0lXL
XYuHkSE08ddoUESsUnlS3uhcKOYYb5b43Izx3N0u7XcFokJkZkUa1CgeoQD5/rzV
shyYeJbp3oAlwvGh6OPXr/32MEznVbrBjgpElim0V82dslrlMw4BWO8TUG4BhHkV
V5PoQZdLD7FOYmH6gOu+b4FA4mvDGj7dEYOJ6IyH4zDWGDcZUJU6ddatyi+KPf5N
Ehy66hM/rovviodnyZo8LXofXHnVG7RPewCueNa8nThp3zFPfIo586ZGMw4xTIG+
GSFskN38RcsgTZZJPqH0GVmVKp2wNEh0mgqaU/EHSoDo6kdMQqLkTbwEUVQbehz9
EtODlYQwS/8/Fno3WT3jQeIFCsjxS+E5JducJ+ta2OretP22mGSMMJQTEyTjaWlI
9H0wNIqXiE19q5gYG9+AR2IxQ8k5xHDkwgeVwe/S44J3+o3C7pl2CuT1fJ8jef5Q
1U72PrWvko1iOvkTxqpt02ZYWM52mBO9yc7f6hV1iDUpSKfItnFyXoTbg7fLTalS
lQ1A8dQs76ujnLHAY6KPkbnon3xCFHhsdTY8mitFNuR35n1dI1GbHCLj9c8YdLmM
KsrWHQDHkpTqTlLKRQbs
=Hw27
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Mar 2011 07:33:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:11:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.